This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 519712 - flags argument of $pool->refresh() undocumented
flags argument of $pool->refresh() undocumented
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: perl-Sys-Virt (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Berrange
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-27 10:21 EDT by Matthew Booth
Modified: 2010-03-30 04:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 519710
Environment:
Last Closed: 2010-03-30 04:27:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2009-08-27 10:21:01 EDT
+++ This bug was initially created as a clone of Bug #519710 +++

Description of problem:
man Sys::Virt::StoragePool says:
       $pool->refresh();
           Refresh the storage pool state. Typically this will rescan the list
           of storage volumes.

However this code:
                    $pool->refresh();
dies with:
Usage: Sys::Virt::StoragePool::refresh(pool, flags) at /home/mbooth/src/virt-v2v/snapshot/virt-snapshot.pl line 328.

Version-Release number of selected component (if applicable):
perl-Sys-Virt-0.2.0-3.el5
Comment 1 RHEL Product and Program Management 2009-11-06 14:08:11 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 RHEL Product and Program Management 2009-11-09 06:41:03 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 RHEL Product and Program Management 2009-11-09 07:59:28 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 Daniel Berrange 2009-12-16 11:13:22 EST
This was fixed upstream by

http://libvirt.org/git/?p=libvirt-perl.git;a=commit;h=189a131482298171f7b44e3dc98f63e74aa7a48b
Comment 8 Daniel Berrange 2009-12-16 11:18:44 EST
Built into perl-Sys-Virt-0.2.0-5.el5
Comment 10 Gunannan Ren 2009-12-24 05:03:40 EST
The bug has been fixed in perl-Sys-Virt-0.2.0-5.el5
Sys::Virt::StoragePool manual added the flags usage
Comment 13 errata-xmlrpc 2010-03-30 04:27:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0251.html

Note You need to log in before you can comment on or make changes to this bug.